Skip to main content
POST
/
graphql#ListChargeWindows
List charge windows
curl --request POST \
  --url 'https://clarus-api.com/graphql#ListChargeWindows' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "query": "query($filter: ChargeWindowFilterType) { charge_windows { all(filter: $filter) { edges { node { id name frequency numbers } } } } }"
}
'
{
  "data": {
    "charge_windows": {
      "all": {
        "edges": [
          {
            "node": {
              "id": "1",
              "name": "Weekly Monday",
              "frequency": "Day",
              "numbers": [
                1
              ]
            }
          }
        ]
      }
    }
  }
}

Query Structure

query($filter: ChargeWindowFilterType) {
  charge_windows {
    all(filter: $filter) {
      edges {
        node {
          id
          name
          frequency
          numbers
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each filter field accepts an input object with operators:
{
  "filter": {
    "frequency": {
      "eq": "Day"
    }
  }
}

Available Filters

FilterInput TypeOperatorsDescription
idIdInputTypeeq, gt, gteq, lt, lteq, in, filledCharge window ID
nameStringInputTypeeq, ilike, like, in, betweenWindow name
frequencyStringInputTypeeq, ilike, like, in, betweenFrequency type (Day/Month)

Filter Operators

Input TypeOperators
StringInputTypeeq (exact), ilike (case-insensitive partial), like (case-sensitive partial), in (array match), between (range)
IntegerInputTypeeq, gt, gteq, lt, lteq, between
DatetimeInputTypeeq, from, to, between
BooleanInputTypeeq (required)
IdInputTypeeq, gt, gteq, lt, lteq, in, filled

Numbers Field

The numbers array defines which days or dates the billing window applies to:
  • Day frequency: Numbers 0-6 where 0=Sunday, 1=Monday, …, 6=Saturday
  • Month frequency: Numbers 1-31 for day of month
More fields and filters available via GraphQL introspection.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
query
string<textarea>
required

GraphQL query string

Example:

"query($filter: ChargeWindowFilterType) { charge_windows { all(filter: $filter) { edges { node { id name frequency numbers } } } } }"

variables
object

Query variables including the filter object

Example:
{
"filter": { "frequency": { "eq": "Day" } }
}

Response

Successful GraphQL response

data
object

Query result data

errors
object[]

GraphQL errors, if any